Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dtrsen

scipy.linalg.lapack.dtrsen(select, t, q[, job, wantq, lwork, liwork, overwrite_t, overwrite_q]) = <fortran function dtrsen>

  Wrapper for `dtrsen`.

  Parameters:
    select input rank-1 array(‘i’) with bounds (n)
    t input rank-2 array(‘d’) with bounds (n,n)
    q input rank-2 array(‘d’) with bounds (n,n)
  Returns:
    ts rank-2 array(‘d’) with bounds (n,n) and t storage
    qs rank-2 array(‘d’) with bounds (n,n) and q storage
    wr rank-1 array(‘d’) with bounds (n)
    wi rank-1 array(‘d’) with bounds (n)
    m int
    s float
    sep float
    info int
  Other Parameters:
    job input bytes, optional

      Default: ‘B’

    wantq input int, optional

      Default: 1

    overwrite_t input int, optional

      Default: 0

    overwrite_q input int, optional

      Default: 0

    lwork input int, optional

      Default: MAX(1,n)

    liwork input int, optional

      Default: 1